com.lowagie.text.pdf

## Class HyphenationAuto

- java.lang.Object
- - com.lowagie.text.pdf.HyphenationAuto

All Implemented Interfaces:
  HyphenationEvent

    public class HyphenationAuto
    extends java.lang.Object
    implements HyphenationEvent

Hyphenates words automatically accordingly to the language and country. The hyphenator engine was taken from FOP and uses the TEX patterns. If a language is not provided and a TEX pattern for it exists, it can be easily adapted.

Author:
  Paulo Soares (psoares@consiste.pt)

### Field Summary

Fields
`protected Hyphenator` `hyphenator` The hyphenator engine.
`protected java.lang.String` `post` The second part of the hyphenated word.

### Constructor Summary

Constructors
Constructor and Description
`HyphenationAuto(java.lang.String lang, java.lang.String country, int leftMin, int rightMin)` Creates a new hyphenation instance usable in `Chunk`.

### Method Summary

Methods
`java.lang.String` `getHyphenatedWordPost()` Gets the second part of the hyphenated word.
`java.lang.String` `getHyphenatedWordPre(java.lang.String word, BaseFont font, float fontSize, float remainingWidth)` Hyphenates a word and returns the first part of it.
`java.lang.String` `getHyphenSymbol()` Gets the hyphen symbol.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hyphenator

    protected Hyphenator hyphenator

The hyphenator engine.

#### post

    protected java.lang.String post

The second part of the hyphenated word.

### Constructor Detail

#### HyphenationAuto

    public HyphenationAuto(java.lang.String lang,
                   java.lang.String country,
                   int leftMin,
                   int rightMin)

Creates a new hyphenation instance usable in `Chunk`.

Parameters:
  `lang` - the language ("en" for English, for example)
  `country` - the country ("GB" for Great-Britain or "none" for no country, for example)
  `leftMin` - the minimum number of letters before the hyphen
  `rightMin` - the minimum number of letters after the hyphen

### Method Detail

#### getHyphenSymbol

    public java.lang.String getHyphenSymbol()

Gets the hyphen symbol.

Specified by:
  `getHyphenSymbol` in interface `HyphenationEvent`
Returns:
  the hyphen symbol

#### getHyphenatedWordPre

    public java.lang.String getHyphenatedWordPre(java.lang.String word,
                                        BaseFont font,
                                        float fontSize,
                                        float remainingWidth)

Hyphenates a word and returns the first part of it. To get the second part of the hyphenated word call `getHyphenatedWordPost()`.

Specified by:
  `getHyphenatedWordPre` in interface `HyphenationEvent`
Parameters:
  `word` - the word to hyphenate
  `font` - the font used by this word
  `fontSize` - the font size used by this word
  `remainingWidth` - the width available to fit this word in
Returns:
  the first part of the hyphenated word including the hyphen symbol, if any

#### getHyphenatedWordPost

    public java.lang.String getHyphenatedWordPost()

Gets the second part of the hyphenated word. Must be called after `getHyphenatedWordPre()`.

Specified by:
  `getHyphenatedWordPost` in interface `HyphenationEvent`
Returns:
  the second part of the hyphenated word